ClarisWksStyleManager::CellFormat Struct Referencefinal

the CELL structure a structure related to number/date format More...

`#include <ClarisWksStyleManager.hxx>`

Inheritance diagram for ClarisWksStyleManager::CellFormat:

## Public Member Functions

| CellFormat (MWAWCell::Format const &format=MWAWCell::Format())
| constructor from cell
| CellFormat (CellFormat const &)=default
CellFormat & | operator= (CellFormat const &)=default
CellFormat & | operator= (CellFormat &&)=default
| ~CellFormat () final
| destructor
Public Member Functions inherited from MWAWCell::Format
| Format ()
| constructor
| Format (Format const &)=default
Format & | operator= (Format const &)=default
Format & | operator= (Format &&)=default
virtual | ~Format ()
| destructor
bool | hasBasicFormat () const
| returns true if this is a basic format style
std::string | getValueType () const
| returns a value type
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the numbering style
int | compare (Format const &format) const
| a comparison function

## Public Attributes

MWAWCell::HorizontalAlignment | m_hAlign
| the cell alignment : by default nothing
int | m_fileFormat
| the field format: number, string, currency, ..
int | m_borders
| the borders
bool | m_wrap
| true if the cell content is wrapped
std::string | m_extra
| extra data
Public Attributes inherited from MWAWCell::Format
FormatType | m_format
| the cell format : by default unknown
NumberType | m_numberFormat
| the numeric format
int | m_digits
| the number of digits
int | m_integerDigits
| the number of main digits
int | m_numeratorDigits
| the number of numerator digits
int | m_denominatorDigits
| the number of denominator digits
bool | m_thousandHasSeparator
| true if we must separate the thousand
bool | m_parenthesesForNegative
| true if we use parenthese to print negative number
std::string | m_currencySymbol
| the currency symbol ( default '$')
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format )

## Friends

std::ostream & | operator<< (std::ostream &o, ClarisWksStyleManager::CellFormat const &form)
| operator<<

## Detailed Description

the CELL structure a structure related to number/date format

## Constructor & Destructor Documentation

## CellFormat() [1/2]

ClarisWksStyleManager::CellFormat::CellFormat | ( | MWAWCell::Format const & | format = MWAWCell::Format() | ) |

inline explicit

constructor from cell

Referenced by CellFormat(), operator=(), and operator=().

## CellFormat() [2/2]

ClarisWksStyleManager::CellFormat::CellFormat | ( | CellFormat const & |  | ) |

default

## ~CellFormat()

ClarisWksStyleManager::CellFormat::~CellFormat | ( |  | ) |

final

destructor

## Member Function Documentation

## operator=() [1/2]

CellFormat & ClarisWksStyleManager::CellFormat::operator= | ( | CellFormat && |  | ) |

default

## operator=() [2/2]

CellFormat & ClarisWksStyleManager::CellFormat::operator= | ( | CellFormat const & |  | ) |

default

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::CellFormat const & | form )

friend

operator<<

## Member Data Documentation

## m_borders

int ClarisWksStyleManager::CellFormat::m_borders

the borders

Referenced by CellFormat(), operator<<, ClarisWksStyleManager::readCellStyles(), and ClarisWksDbaseContent::readRecordSS().

## m_extra

std::string ClarisWksStyleManager::CellFormat::m_extra

extra data

Referenced by CellFormat(), operator<<, and ClarisWksStyleManager::readCellStyles().

## m_fileFormat

int ClarisWksStyleManager::CellFormat::m_fileFormat

the field format: number, string, currency, ..

Referenced by CellFormat(), operator<<, ClarisWksStyleManager::readCellStyles(), ClarisWksDbaseContent::readRecordSS(), and ClarisWksDbaseContent::send().

## m_hAlign

MWAWCell::HorizontalAlignment ClarisWksStyleManager::CellFormat::m_hAlign

the cell alignment : by default nothing

Referenced by CellFormat(), ClarisWksStyleManager::readCellStyles(), and ClarisWksDbaseContent::readRecordSS().

## m_wrap

bool ClarisWksStyleManager::CellFormat::m_wrap

true if the cell content is wrapped

Referenced by CellFormat(), operator<<, and ClarisWksStyleManager::readCellStyles().

The documentation for this struct was generated from the following files:

- ClarisWksStyleManager.hxx
- ClarisWksStyleManager.cxx